import request from '@/utils/request'

// 查询岗位信息列表
export function listPost1692343037000(query) {
  return request({
    url: '/forms/api/gen/Post1692343037000/list',
    method: 'get',
    params: query
  })
}

// 查询岗位信息详细
export function getPost1692343037000(postId) {
  return request({
    url: '/forms/api/gen/Post1692343037000/' + postId,
    method: 'get'
  })
}

// 新增岗位信息
export function addPost1692343037000(data) {
  return request({
    url: '/forms/api/gen/Post1692343037000',
    method: 'post',
    data: data
  })
}

// 修改岗位信息
export function updatePost1692343037000(data) {
  return request({
    url: '/forms/api/gen/Post1692343037000',
    method: 'put',
    data: data
  })
}

// 删除岗位信息
export function delPost1692343037000(postId) {
  return request({
    url: '/forms/api/gen/Post1692343037000/' + postId,
    method: 'delete'
  })
}
